#import "DarktoothPlugin.h"

@implementation DarktoothPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"darktooth"
            binaryMessenger:[registrar messenger]];
  DarktoothPlugin* instance = [[DarktoothPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"startBluetoothForegroundService" isEqualToString:call.method]) {

  }
  else {
    result(FlutterMethodNotImplemented);
  }
}

@end
